import { defineComponent as l, computed as o, openBlock as n, createBlock as a, unref as t, normalizeProps as s, guardReactiveProps as u, withCtx as f, createVNode as d, mergeProps as P } from "vue";
import "../../confirm-button/index.mjs";
import "../../count-down-button/index.mjs";
import "../../ellipsis/index.mjs";
import "../../rich-text-editor/index.mjs";
import "../index.mjs";
import { WetProFormItem as h } from "../../pro-form/index.mjs";
import "../../pro-table/index.mjs";
import "../../pro-descriptions/index.mjs";
import "../../layout/index.mjs";
import "../../page/index.mjs";
import "../../guide/index.mjs";
import { ElTimePicker as _ } from "element-plus";
import { wetProFormItemProps as I } from "../../pro-form/src/types.mjs";
const E = /* @__PURE__ */ l({
  name: "WetFormTimePicker",
  __name: "time-picker",
  props: {
    ...I,
    placeholder: String,
    formInputProps: {
      type: Object
    }
  },
  setup(m) {
    const r = m, p = o(() => {
      const e = { ...r };
      return delete e.formInputProps, e;
    }), i = o(() => r.placeholder ? r.placeholder : `请选择${r.label}`);
    return (e, k) => (n(), a(t(h), s(u(p.value)), {
      default: f(({ modelValue: c }) => [
        d(t(_), P({
          ...c,
          placeholder: i.value,
          ...r.formInputProps
        }, { valueFormat: "HH:mm:ss" }), null, 16)
      ]),
      _: 1
    }, 16));
  }
});
export {
  E as default
};
